Subject: Re: [PATCH 07/10] trailer: spread usage of "trailer_block" language

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Jan 2024 17:03:46 -0800

"Linus Arver via GitGitGadget" <[email-masked]> writes:

> From: Linus Arver <[email-masked]>
>
> Deprecate the "trailer_info" struct name and replace it with
> "trailer_block". The main reason is to help readability, because
> "trailer_info" on the surface sounds like it's about a single trailer
> when in reality it is a collection of contiguous lines, at least 25% of
> which are trailers.

Together with the introduction of trailer_block_{start,end}()
accessor functions in the previous step, this sounds like the right
thing to do.

"info" is a word with so low information contents.  At least "block"
would hint that we are talking about a block of text that makes up
the trailer attached to a single commit.